Support » Plugin: Maintenance » Plugin stopped working after update. Jquery(…).backstretch is not a function

  • Resolved Marcoevich

    (@marcoevich)


    Hi All,

    I just updated this plugin to the lastest version. This plugin caused a 500 internal server error just after the update. Also, the plugin doesn’t work anymore after the update. The loader keeps spinning. Console errors are as follows:

    TypeError: jQuery(…).backstretch is not a function – jquery.all.assembled.min.js:8:10033
    <anoniem> wp-content/plugins/maintenance/load/js/jquery.all.assembled.min.js:8:10033

    PS: I’ve seen the other topics. Stop telling people that your plugin works “because it works on your demo setup”. Clearly there’s something wrong with the plugin, as multiple people are reporting this issue.

    Happy bug hunting 🙂

Viewing 8 replies - 1 through 8 (of 8 total)
  • Hello.

    Thanks for contacting us. Could you, please, provide the link to your website with this issue to our Support http://support.fruitfulcode.com/hc/en-us/requests/new ?

    Thanks in advance!

    Regards.

    Same error on WP 4.8
    TypeError: jQuery(…).backstretch is not a function

    Hi Fruitful Code,

    I have finished maintenance to the site and it is live again, so it is not very useful for me to send the link now.

    Maybe I can do some testing in the evening hours when there’s not much traffic on the site. Is there anything I can test for you?

    Kind regards

    Hello.

    @marcoevich

    Thanks for your reply.

    We recommend temporarily use Plugin version 3.4.1 if needed.

    https://github.com/Fruitfulcode/Maintenance

    You should replace your data directory to data from the archive. Don’t forget to unzip it. If you didn’t change anything in the source files then your configuration will be not lost.

    Our developer works with issue at this moment.

    Kind regards.

    Thanks for that. The older version works perfectly 🙂

    Same problem here – “Jquery(…).backstretch is not a function”. We had to downgrade (but only on some WordPresses) to get it working again. At this moment we have four WordPresses with Maintenance active. Two of them had the problem in v3.5, two not. WordPresses are 4.8 in all four cases.

    Hi, plugin stopped working. The background turns black with the wheel spinning. It seems other users were having similar problem. Did you solve the bug yet? You suggested using an earlier version for now. How do I use this 3.4.1 version? What and where to click?
    Thanks.

    Hello.

    We have published new release 3.5.1.

    In order not to wait for the update on WordPress, please , try to use the latest developers version from GitHub:

    https://github.com/Fruitfulcode/Maintenance

    You should replace your data directory to data from the archive. Don’t forget to unzip it. If you didn’t change anything in the source files then your configuration will be not lost.

    Regards.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Plugin stopped working after update. Jquery(…).backstretch is not a function’ is closed to new replies.